## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XMLParserLiaison Class Reference

Inheritance diagram for XMLParserLiaison:

[legend]
List of all members.

## Public Member Functions

- XMLParserLiaison ()
- virtual ~XMLParserLiaison ()
- virtual void reset ()=0
- virtual ExecutionContext * getExecutionContext () const=0
- virtual MemoryManagerType & getMemoryManager ()=0
- virtual void setExecutionContext (ExecutionContext &theContext)=0
- virtual XalanDocument * parseXMLStream (const InputSourceType &inputSource, const XalanDOMString &identifier)=0
    Parse the text pointed at by the reader as XML, and return a DOM Document interface.
- virtual void parseXMLStream (const InputSourceType &inputSource, DocumentHandlerType &handler, const XalanDOMString &identifier)=0
    Parse the text pointed at by the reader as XML.
- virtual void destroyDocument (XalanDocument *theDocument)=0
    Destroy the supplied XalanDocument instance.
- virtual int getIndent () const=0
    Get the amount to indent when indent-result="yes".
- virtual void setIndent (int i)=0
    Set the amount to indent when indent-result="yes".
- virtual bool getUseValidation () const=0
    Get whether or not validation will be performed.
- virtual void setUseValidation (bool b)=0
    If set to true, validation will be performed.
- virtual const XalanDOMString & getParserDescription (XalanDOMString &theResult) const=0
    Return a string suitable for telling the user what parser is being used.
- virtual EntityResolverType * getEntityResolver () const=0
    This method returns the installed entity resolver.
- virtual void setEntityResolver (EntityResolverType *resolver)=0
    This method installs the user specified entity resolver on the parser.
- virtual ErrorHandlerType * getErrorHandler () const=0
    This method returns the installed error handler.
- virtual void setErrorHandler (ErrorHandlerType *handler)=0
    This method installs the user-specified error handler.

## Constructor & Destructor Documentation

XMLParserLiaison::XMLParserLiaison | ( |  | ) |

virtual XMLParserLiaison::~XMLParserLiaison | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XMLParserLiaison::destroyDocument | ( | XalanDocument * | theDocument | ) | `[pure virtual]`

Destroy the supplied XalanDocument instance.

It must be an instance that was created by a previous call to parseXMLStream().

Parameters:

  theDocument | The XalanDocument instance to destroy.

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual EntityResolverType* XMLParserLiaison::getEntityResolver | ( |  | ) | const`[pure virtual]`

This method returns the installed entity resolver.

Returns:
  The pointer to the installed entity resolver object.

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual ErrorHandlerType* XMLParserLiaison::getErrorHandler | ( |  | ) | const`[pure virtual]`

This method returns the installed error handler.

Returns:
  The pointer to the installed error handler object.

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual ExecutionContext* XMLParserLiaison::getExecutionContext | ( |  | ) | const`[pure virtual]`

| Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual int XMLParserLiaison::getIndent | ( |  | ) | const`[pure virtual]`

Get the amount to indent when indent-result="yes".

Deprecated:

Returns:
  number of characters to indent

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual MemoryManagerType& XMLParserLiaison::getMemoryManager | ( |  | ) | `[pure virtual]`

| Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual const XalanDOMString& XMLParserLiaison::getParserDescription | ( | XalanDOMString & | theResult | ) | const`[pure virtual]`

Return a string suitable for telling the user what parser is being used.

Returns:
  string describing parser

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual bool XMLParserLiaison::getUseValidation | ( |  | ) | const`[pure virtual]`

Get whether or not validation will be performed.

Validation is off by default.

Returns:
  true to perform validation

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::parseXMLStream | ( | const InputSourceType & | inputSource,
|  | DocumentHandlerType & | handler,
|  | const XalanDOMString & | identifier
| ) | `[pure virtual]`

Parse the text pointed at by the reader as XML.

It is recommended that you pass in some sort of recognizable name, such as the filename or URI, with which the reader can be recognized if the parse fails.

Parameters:

  inputSource | input source that should hold valid XML
  handler | instance of a DocumentHandler
  identifier | used for diagnostic purposes only, some sort of identification for error reporting, default an empty string

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual XalanDocument* XMLParserLiaison::parseXMLStream | ( | const InputSourceType & | inputSource,
|  | const XalanDOMString & | identifier
| ) | `[pure virtual]`

Parse the text pointed at by the reader as XML, and return a DOM Document interface.

It is recommended that you pass in some sort of recognizable name, such as the filename or URI, with which the reader can be recognized if the parse fails.

The liaison owns the XalanDocument instance, and will delete it when when asked (see DestroyDocument()), or when the liaison is reset, or goes out of scope.

Parameters:

  reader | stream that should hold valid XML
  identifier | used for diagnostic purposes only, some sort of identification for error reporting, default an empty string

Returns:
  DOM document created

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::reset | ( |  | ) | `[pure virtual]`

| Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::setEntityResolver | ( | EntityResolverType * | resolver | ) | `[pure virtual]`

This method installs the user specified entity resolver on the parser.

It allows applications to trap and redirect calls to external entities.

Parameters:

  handler | A pointer to the entity resolver to be called when the parser comes across references to entities in the XML file.

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::setErrorHandler | ( | ErrorHandlerType * | handler | ) | `[pure virtual]`

This method installs the user-specified error handler.

Parameters:

  handler | A pointer to the error handler to be called upon error.

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::setExecutionContext | ( | ExecutionContext & | theContext | ) | `[pure virtual]`

| Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::setIndent | ( | int | i | ) | `[pure virtual]`

Set the amount to indent when indent-result="yes".

Deprecated:

Parameters:

  i | number of characters to indent

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

virtual void XMLParserLiaison::setUseValidation | ( | bool | b | ) | `[pure virtual]`

If set to true, validation will be performed.

Validation is off by default.

Parameters:

  b | true to perform validation

Implemented in XalanSourceTreeParserLiaison, and XercesParserLiaison.

The documentation for this class was generated from the following file:

- XMLParserLiaison.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.